QGIS Application - Bug report #20973
Advanced digitizing tools makes QGIS freeze
2019-01-11 02:44 PM - Michael David Knudsen

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 28792
Description

I have tried to use the advanced digitizing tools, but after activeting the tool it freezes QGIS (QGIS is not responding).
One of the times | tried to use it, | waited 20 minutes before | closed QGIS.

| opened version 2.18 and there it worked fine.

History

#1 - 2019-01-11 03:39 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please try with a new/clean profile (no 3rd party plugins installed).

#2 - 2019-01-17 10:19 AM - Michael David Knudsen

- Status changed from Feedback to Open

Hi

Thans for the reply.

| have tried to install a new/clean profile of QGIS 3.4.3 on another computer and there the advanved digitizing tools worked fine.

Next | installed the same 3rd party plugins on that computer as | have installed on the computer there | have problems with the advanced digitizing tools.
The tools still works fine.

Then | uninstalled QGIS 3.4.3 on the computer there QGIS has problems and reinstalled QGIS. The problems with the advanced digtizing tools are still
there. It makes QGIS freeze. (After reinstall QGIS has remebered my settings and plugins).

What will be my next step to solve the problem?

Best regards

#3 - 2019-01-17 11:32 AM - Giovanni Manghi
- Status changed from Open to Feedback

What will be my next step to solve the problem?

2024-04-28 12




you could try cleaning completely your system registry of qgis stuff (after uninstalling it, and manually removing the .qgis3 folder). This has sometimes

made the trick in the past, not sure in this would help.

#4 - 2019-03-09 10:15 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Closing for lack of feedback.
